INITGROUPS(3)

NAME
initgroups - initialize group access list

SYNOPSIS
initgroups(name, basegid)
char *name;
int basegid;

DESCRIPTION
Initgroups reads through the group file and sets up, using the setgroups(2) call, the group access list for the user specified in name. The basegid is automatically included in the groups list. Typically this value is given as the group number from the password file.

FILES
/etc/group

SEE ALSO
setgroups(2)

DIAGNOSTICS
Initgroups returns -1 if it was not invoked by the super-user.

BUGS
Initgroups uses the routines based on getgrent(3). If the invoking program uses any of these routines, the group structure will be overwritten in the call to initgroups.